MODX Evo Custom v1.1RC-d7.1.6 (25.02.2016)

Обновил очередной раз свою сборку:) из важных плюшек теперь в базе есть DocLister а так же добавил поддержку для темы MODxPress


- rename folders libs to lib 
- add DocLister 
- fix error if no folders and turn on AliasListing for Folders
- fix phpthumb for image with ext jpeg
- turn on TinyMCE4 after install 
- scrollWork: console.log deleted and fix bug 
- добавлен Украинский язык для админки
- исправлена ошибка с системными плейсхолдерами(была в версии 7.1.5 затянул с оф ветки)
- добавленна поддержка темы MODxPress (можно экшены теперь переносить в папку темы и менять под себя)
- исправлен язык в tinyMCE теперь подхватывает нужный
- исправленно Tiny MCE Emmet - конфликт с HTML5 тегами header и footer
- Fix render properties menu


Скачивать как всегда:
modx.com.ua или на github

19 комментариев

avatar
Никто уже даже не комментируют, все просто качают :-)
Спасибо, Дмитрий!
Теперь, думаю, начнётся массовый переход на Doclister
avatar
Кто то тестил уже новую сборку с TinyMCE 4 и multiTv с richtext?
Чего то не завелся у меня TinyMCE в нём.
avatar
multiTv с richtext и не работал раньше)
Комментарий отредактирован 2016-02-26 12:08:30 пользователем proud
avatar
Работает но с вариантом когда редактирование в popup )
вот тут github.com/extras-evolution/multiTV/blob/master/assets/tvs/multitv/configs/multicontent.config.inc.php
avatar
ок, на чистой установке с последними апдейтами попробую. Дело в том что я запускал это дефолтный конфиг, вот он и не ворк также((
avatar
Надо проверить как там подключен редактор может жестко завязан на тинимсе3
avatar
Тут я написал, что делать :)
avatar
Вы глубоко ошибаетесь.
avatar
Дмитрий, в тексте очепятка. Укрианский… :)
avatar
И еще одна… Украина — с большой буквы, украинский (язык) — с маленькой.
avatar
Спасибо!
P.S. А вроде был же уже DocLister по дефолту… ну да ладно, неважно.
avatar
Дмитрий, спасибо!!!
avatar
Плюсую. Особенно за возможность переносить экшены. Делаю свою админку, как раз очень кстати.
avatar
Спасибо Дмитрий! Но вот установил для нового проекта и сразу же при установке полезло такое: «Notice: Use of undefined constant E_DEPRECATED — assumed 'E_DEPRECATED' in /сайт.ру/manager/includes/protect.inc.php on line 6». На этой же площадке стоит 1.0.13RC-d6.5 и все нормально. Где-то встречалось, что это из-за PHP меньше 5.3? У меня 5.2.17. стоит. Есть какие-то варианты обойти?
avatar
Минимальная версию пхп 5.3
Я б уже и до 5.4 повысил ибо в разы комфортней но много где еще и 5.2 есть
Но уже 7 вышла потому только обновлять версию пхп
avatar
Обновил через Extras с версии 7.1.3. Теперь ресурсы, кроме sitemap.xml, не открываются (во фрейме Edit Resource — пусто), в чанках не работает подсветка кода, переход Elements — Manage Files выдает «Can not read this directory». PHP Version 5.5.36, проверял на Windows 8, FireFox 46.0.1 или IE11. Inmotion hosting. Подскажите, как вылечить, пожста. Чет неохота вручную файлы обновлять.
avatar
Отключите тинимсе и манагерманагер
Одно из 2-х глючит

То что глючит обновить ;)
avatar
Да, это оно. Muchas gracias =)
avatar
А вот переход Elements — Manage Files всё также выдает «Can not read this directory».
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.